1

I am trying to install AMD Catalyst on my Kali 2.0. I did some research and the most helpful thing i found was this post here from the forums. Even though i am on Kali 2.0 32bit i managed to follow the steps. However when performing the install command

sh ati-installer.sh 15.20 --install

the installation throws an error. Here is the fglrx-install.log

Supported adapter detected.
Detected a previous installation, /usr/share/ati/amd-uninstall.sh
Dryrun uninstall succeeded continuing with installation.
Check if system has the tools required for installation.
fglrx installation requires that the system have kernel headers.  /lib/modules/4.6.0-kali1-686-pae/build/include/linux/version.h cannot be found on this system.
One or more tools required for installation cannot be found on the system. Install the required tools before installing the fglrx driver.
Optionally, run the installer with --force option to install without the tools.
Forcing install will disable AMD hardware acceleration and may make your system unstable. Not recommended.

This path, lib/modules/4.6.0-kali1-686-pae/build/include/linux/version.h doesn't exist on my system. I believe it means the following path: /lib/modules/4.8.0-kali2-686-pae/build/include/linux/version.h.

How can i change that path so it manages to get the current version?

EDIT: i created that path and added the version.h file inside. This is the new fglrx-install.log

Supported adapter detected.
Detected a previous installation, /usr/share/ati/amd-uninstall.sh
Dryrun uninstall succeeded continuing with installation.
Check if system has the tools required for installation.
Uninstalling any previously installed drivers.
Forcing uninstall of AMD Catalyst(TM) Proprietary Driver.
No integrity verification is done.
restore of system environment completed
Errors during DKMS module removal
Uninstall fglrx driver complete.
For detailed log of uninstall, please see /etc/ati/fglrx-uninstall.log
System must be rebooted to avoid system instability and potential data loss.
/usr/share/ati/amd-uninstall.sh completed with 0

Creating symlink /var/lib/dkms/fglrx/15.20.1046/source ->
                 /usr/src/fglrx-15.20.1046

DKMS: add completed.

Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area...
cd /var/lib/dkms/fglrx/15.20.1046/build; sh make.sh --nohints --uname_r=4.6.0-kali1-686-pae --norootcheck...(bad exit status: 1)
[Error] Kernel Module : Failed to build fglrx-15.20.1046 with DKMS
[Error] Kernel Module : Removing fglrx-15.20.1046 from DKMS

------------------------------
Deleting module version: 15.20.1046
completely from the DKMS tree.
------------------------------
Done.
[Reboot] Kernel Module : update-initramfs
0
fglrx installation requires that the system have kernel headers.

First upgrade your Kali by doing this

sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade

now reboot your system and run

sudo apt-get install linux-headers-$(uname -r)

Now try the installation. Good Luck.

  • It won't work for kali – Beyondo Apr 21 '18 at 5:42

Not the answer you're looking for? Browse other questions tagged or ask your own question.